# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name regex-pcre

# common part of summary for all the subpackages
%global common_summary Haskell PCRE binding

# main description used for all the subpackages
%global common_description A Haskell binding to the Perl Compatible Regular Expressions library.

Name:           ghc-%{pkg_name}
Version:        0.94.2
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec
BuildRequires:  pcre-devel
BuildRequires:  ghc-regex-base-prof

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec
Requires:       pcre-devel
# Haskell devel dependencies are autogenerated by ghc-deps.sh

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Thu Oct 27 2011 Jens Petersen <petersen@redhat.com> - 0.94.2-2
- better summary and description

* Thu Oct 27 2011 Jens Petersen <petersen@redhat.com> - 0.94.2-1
- BSD license
- depends on regex-base and pcre

* Thu Oct 27 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.94.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
